#include <system.h>
#include "states.h"
#include "common/record.h"

#define LONG_ACCEL_AVG_TERMS	4

extern struct Record lastRecord;
extern bool commLost;

unsigned short longAccelAvgTerms[LONG_ACCEL_AVG_TERMS] {0, 0, 0, 0};
unsigned short longAccelAvg = 0;
unsigned char longAccelAvgTermNum = 0;
unsigned long longAccelTotal = 0;

long velocity = 0;

enum FlightState state;

void handleStates(unsigned char newPacket)
{
	if (newPacket)
	{
		unsigned short curAccel = GetLongAccel(lastRecord);
		longAccelTotal -= longAccelAvgTerms[longAccelAvgTermNum & 0x3];
		longAccelAvgTerms[longAccelAvgTermNum & 0x3] = curAccel;
		longAccelTotal += curAccel;
		++longAccelAvgTermNum;
		longAccelAvg = longAccelTotal >> 2;
		
		velocity += 
	}
	
	switch (state)
	{
	case PREFLIGHT:
		break;
		
	case LAUNCH:
		break;

	case BOOSTER_BURNOUT:
		break;
		
	case BOOSTER_JETTISON:
		break;
		
	case SECOND_STAGE_IGNITION:
		break;
		
	case SECOND_STAGE_BURNOUT:
		break;
		
	case APOGEE:
		break;
		
	case DESCENT:
		break;
	}
}